var KEY_ALTA="KEY_ALTA";

var KEY_MODIFICACION="KEY_MODIFICACION";

var KEY_BAJA="KEY_BAJA";

var KEY_FILTRAR="KEY_FILTRAR";

var KEY_CONSULTA="KEY_CONSULTA";



function ponAccion(key){

	if(key==KEY_ALTA){

		document.forms["formListadoUsuarios"].elements["inicio"].value="";

		submmitFormulario(key);

	}

	else if (key==KEY_MODIFICACION){

		submmitFormulario(key);

		

	}

	else if (key==KEY_BAJA){

		if(confirm(msgBorrar))

			submmitFormulario(key);

	}

	else if (key==KEY_FILTRAR){

		submmitFormulario(key);

	}

	else if (key==KEY_CONSULTA){

		submmitFormulario(key);

	}

}



function submmitFormulario(key){

	document.forms["formListadoUsuarios"].accion.value=key;

	document.forms["formListadoUsuarios"].submit();

}



function onLoadPage() {	

	if(document.forms[0].idUsuario!=null) {

		if(document.forms[0].idUsuario.length == undefined){ //solo hay uno

			document.forms[0].idUsuario.checked=true;

		}else{

			document.forms[0].idUsuario[0].checked=true;

		}

		document.forms["formListadoUsuarios"].borrar.disabled=false;

		document.forms["formListadoUsuarios"].modificacion.disabled=false;

		document.forms["formListadoUsuarios"].consulta.disabled=false;

	} else {

		document.forms["formListadoUsuarios"].borrar.disabled=true;

		document.forms["formListadoUsuarios"].modificacion.disabled=true;

		document.forms["formListadoUsuarios"].consulta.disabled=true;

	}



	if(document.forms[0].idUsuario!=null && document.forms[0].idUsuario.length != undefined)

		document.forms[0].idUsuario[0].focus();

	else document.forms["formListadoUsuarios"].alta.focus();





}

